Skip to content
BolderBolder API
Esc
navigateopen⌘Jpreview

List shops

Returns shops belonging to the authenticated account.

GET/shops
Authorization
AuthorizationBearer token (JWT) · headerrequired
Query parameters
qstring
Search shops by name or subdomain.
seller_idinteger
Filter to shops owned by a specific seller. Useful for enumerating all shops of a seller that owns more than one — see the seller's `shops:list` link.
statusstring
Filter by shop status.
default: "all"
Allowed:activeinactiveall
pageinteger
min 1 · default: 1
per_pageinteger
min 1 · max 200 · default: 20
Responses
200Paginated list of shops
total_itemsinteger
per_pageinteger
pageinteger
_linksHalLinks
_classstring[]
_embeddedobject
Show properties
shopsShop[]
Show properties
Array of Shop
_linksHalLinks
idinteger
seller_idinteger
account_idinteger
namestring
subdomainstring
urlstring
descriptionstring
localestring
currency_codestring
timezonestring
asset_countinteger
product_countsobject
Show properties
visibleinteger
blockedinteger
hiddeninteger
products_use_variant_pricesboolean
created_onstring<date-time>
updated_onstring<date-time>
Request
curl -X GET "https://api.onbolder.com/v2/shops" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "_class": [
    "results",
    "shops"
  ],
  "total_items": 1,
  "per_page": 20,
  "page": 1,
  "_links": {
    "self": {
      "href": "https://api.onbolder.com/v2/shops"
    }
  },
  "_embedded": {
    "items": [
      {
        "id": 1,
        "name": "My Store",
        "subdomain": "mystore",
        "url": "https://mystore.onbolder.com",
        "status": "active",
        "currency": "USD",
        "_links": {
          "self": {
            "href": "https://api.onbolder.com/v2/shops/1"
          }
        }
      }
    ]
  }
}